package com.ruoyi.invest.mapper;

import com.ruoyi.invest.domain.TProjectApproval;
import com.ruoyi.invest.domain.TProjectDecision;
import com.ruoyi.invest.domain.vo.ProjectApprovalVo;
import com.ruoyi.invest.domain.vo.ProjectDecisionVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目池Mapper接口
 * 
 * @author ruoyi
 * @date 2024-02-21
 */
public interface DecisionMapper {
    /*待办任务*/
    List<ProjectDecisionVo> selectAllDecisionList(@Param("projectDecision") TProjectDecision tProjectDecision);

    /*待办任务*/
    List<ProjectDecisionVo> getMyTaskList(@Param("userId") String userId, @Param("projectDecision") TProjectDecision tProjectDecision);
    /*已办任务*/
    List<ProjectDecisionVo> getMyDoneTaskList(@Param("userId") String userId, @Param("projectDecision")TProjectDecision tProjectDecision);
    /*我的单据*/
    List<ProjectDecisionVo> getMyList(@Param("userId") String userId, @Param("projectDecision")TProjectDecision tProjectDecision);
    /*详情*/
    public TProjectDecision selectTProjectDecisionByProcInstId(String ProcInstId);
    public ProjectDecisionVo selectProjectDecisionByProcInstId(String ProcInstId);

}
